<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="entree">
      <h2 data-cy="entreeDetailsHeading"><span jhiTranslate="gestionPersonnel3App.entree.detail.title">Entree</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ entree.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.entree.dateEntree">Date Entree</span></dt>
        <dd>
          <span>{{ entree.dateEntree | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.entree.employe">Employe</span></dt>
        <dd>
          <div *ngIf="entree.employe">
            <a [routerLink]="['/employe', entree.employe.id, 'view']">{{ entree.employe.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.entree.natureEntree">Nature Entree</span></dt>
        <dd>
          <div *ngIf="entree.natureEntree">
            <a [routerLink]="['/nature-entree', entree.natureEntree.id, 'view']">{{ entree.natureEntree.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/entree', entree.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
